## Genome file to build kallisto Index
IndexInput:
  - class: File
    path: ../../studies/TalinumGenomeDraft/resources/Talinum.gm.CDS.nt.fa
    format: edam:format_1929 # FASTA

## Fastq files to be mapped
# The `InputReadsMultipleSamples` looks more complicated than needed
# It's an array of File arrays to generically allow multiple fastq files per sample

InputReadsMultipleSamples:
  - 
    - class: File
      path: ../../assays/Talinum_RNASeq_minimal/dataset/DB_097_CAMMD_CAGATC_L001_R1_001.fastq.gz
      format: edam:format_1930 # FASTQ
  - 
    - class: File
      path: ../../assays/Talinum_RNASeq_minimal/dataset/DB_099_CAMMD_CTTGTA_L001_R1_001.fastq.gz
      format: edam:format_1930 # FASTQ
  - 
    - class: File
      path: ../../assays/Talinum_RNASeq_minimal/dataset/DB_103_CAMMD_AGTCAA_L001_R1_001.fastq.gz
      format: edam:format_1930 # FASTQ
  - 
    - class: File
      path: ../../assays/Talinum_RNASeq_minimal/dataset/DB_161_reC3MD_GTCCGC_L001_R1_001.fastq.gz
      format: edam:format_1930 # FASTQ
  - 
    - class: File
      path: ../../assays/Talinum_RNASeq_minimal/dataset/DB_163_reC3MD_GTGAAA_L001_R1_001.fastq.gz
      format: edam:format_1930 # FASTQ
  - 
    - class: File
      path: ../../assays/Talinum_RNASeq_minimal/dataset/DB_165_re-C3MD_GTGAAA_L002_R1_001.fastq.gz
      format: edam:format_1930 # FASTQ

numUnderscoresFileName: 1

### Kallisto quant Parameters
isSingle: true
FragmentLength: 200
StandardDeviation: 20
BootstrapSamples: 30

resultsFolder: kallisto_results

$namespaces:
  edam: https://edamontology.org/